Bug 190903 - Flaky Test: http/wpt/css/css-animations/start-animation-001.html
Summary: Flaky Test: http/wpt/css/css-animations/start-animation-001.html
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: WebKit Commit Bot
URL:
Keywords: InRadar
Depends on: 193169
Blocks: 50856
  Show dependency treegraph
 
Reported: 2018-10-25 08:54 PDT by WebKit Commit Bot
Modified: 2019-01-05 03:27 PST (History)
9 users (show)

See Also:


Attachments
Archive of layout-test-results from webkit-cq-03 (2.36 MB, application/zip)
2018-10-25 08:54 PDT, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-02 (2.39 MB, application/zip)
2018-10-31 03:10 PDT, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-02 (2.51 MB, application/zip)
2018-11-21 10:37 PST, WebKit Commit Bot
no flags Details
Patch (3.11 KB, patch)
2018-11-28 15:22 PST, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-cq-02 (2.55 MB, application/zip)
2018-11-29 02:25 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-02 (2.46 MB, application/zip)
2018-11-29 16:05 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-02 (2.43 MB, application/zip)
2018-11-29 16:31 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-02 (2.46 MB, application/zip)
2018-11-29 16:57 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-03 (2.44 MB, application/zip)
2018-11-29 23:07 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-02 (2.56 MB, application/zip)
2018-12-04 09:57 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-02 (2.50 MB, application/zip)
2018-12-05 17:46 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-02 (2.47 MB, application/zip)
2018-12-06 14:50 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-03 (2.46 MB, application/zip)
2018-12-18 00:15 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-02 (2.63 MB, application/zip)
2018-12-20 17:24 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-01 (2.44 MB, application/zip)
2018-12-21 15:51 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-03 (2.45 MB, application/zip)
2019-01-04 09:57 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-01 (2.44 MB, application/zip)
2019-01-04 15:33 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-03 (2.47 MB, application/zip)
2019-01-04 15:41 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-01 (2.45 MB, application/zip)
2019-01-04 16:00 PST, WebKit Commit Bot
no flags Details
Archive of layout-test-results from webkit-cq-01 (2.47 MB, application/zip)
2019-01-04 18:29 PST, WebKit Commit Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description WebKit Commit Bot 2018-10-25 08:54:58 PDT
This is an automatically generated bug from the commit-queue.
http/wpt/css/css-animations/start-animation-001.html has been flaky on the commit-queue.

http/wpt/css/css-animations/start-animation-001.html was authored by dino@apple.com, fred.wang@free.fr, and graouts@apple.com.
https://trac.webkit.org/browser/trunk/LayoutTests/http/wpt/css/css-animations/start-animation-001.html

The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 353084 [details] on bug 190900.
Bot: webkit-cq-03  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6

The bots will update this with information from each new failure.

If you believe this bug to be fixed or invalid, feel free to close.  The bots will re-open if the flake re-occurs.

If you would like to track this test fix with another bug, please close this bug as a duplicate.  The bots will follow the duplicate chain when making future comments.
Comment 1 WebKit Commit Bot 2018-10-25 08:54:59 PDT
Created attachment 353087 [details]
Archive of layout-test-results from webkit-cq-03
Comment 2 WebKit Commit Bot 2018-10-31 03:10:02 PDT
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 353362 [details] on bug 191063.
Bot: webkit-cq-02  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 3 WebKit Commit Bot 2018-10-31 03:10:03 PDT
Created attachment 353477 [details]
Archive of layout-test-results from webkit-cq-02
Comment 4 WebKit Commit Bot 2018-11-21 10:37:30 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 355422 [details] on bug 190836.
Bot: webkit-cq-02  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 5 WebKit Commit Bot 2018-11-21 10:37:31 PST
Created attachment 355429 [details]
Archive of layout-test-results from webkit-cq-02
Comment 6 Ryan Haddad 2018-11-27 10:48:09 PST
The image diff shows an unexpected red square(?) appearing behind a blue rectangle.
Comment 7 Frédéric Wang (:fredw) 2018-11-28 14:37:49 PST
Yes, unfortunately I guess flakiness is expected for this kind of animation+reftest tests. 

Since bug 186129 was that the blue square did not move at all, the test will still be able to check the bug if we increase the timeout testRunner.notifyDone() to an arbitrarily large value. That will reduce flakiness but probably won't fix it completely.

Per https://bugs.webkit.org/show_bug.cgi?id=186129#c7 we can also rely on the getComputedStyle() to prevent firing the notifyDone() too early and again that will still check for bug 186129.
Comment 8 Frédéric Wang (:fredw) 2018-11-28 15:22:37 PST
Created attachment 355926 [details]
Patch
Comment 9 WebKit Commit Bot 2018-11-29 02:24:59 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 355987 [details] on bug 192092.
Bot: webkit-cq-02  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 10 WebKit Commit Bot 2018-11-29 02:25:00 PST
Created attachment 355993 [details]
Archive of layout-test-results from webkit-cq-02
Comment 11 WebKit Commit Bot 2018-11-29 16:05:29 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 356069 [details] on bug 192185.
Bot: webkit-cq-02  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 12 WebKit Commit Bot 2018-11-29 16:05:30 PST
Created attachment 356079 [details]
Archive of layout-test-results from webkit-cq-02
Comment 13 WebKit Commit Bot 2018-11-29 16:31:27 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 356069 [details] on bug 192185.
Bot: webkit-cq-02  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 14 WebKit Commit Bot 2018-11-29 16:31:28 PST
Created attachment 356089 [details]
Archive of layout-test-results from webkit-cq-02
Comment 15 WebKit Commit Bot 2018-11-29 16:57:11 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 356069 [details] on bug 192185.
Bot: webkit-cq-02  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 16 WebKit Commit Bot 2018-11-29 16:57:12 PST
Created attachment 356093 [details]
Archive of layout-test-results from webkit-cq-02
Comment 17 WebKit Commit Bot 2018-11-29 23:07:39 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 356132 [details] on bug 192165.
Bot: webkit-cq-03  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 18 WebKit Commit Bot 2018-11-29 23:07:40 PST
Created attachment 356146 [details]
Archive of layout-test-results from webkit-cq-03
Comment 19 Frédéric Wang (:fredw) 2018-12-04 07:02:40 PST
@graouts: Can you please review this patch?
Comment 20 WebKit Commit Bot 2018-12-04 09:57:43 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 356502 [details] on bug 192120.
Bot: webkit-cq-02  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 21 WebKit Commit Bot 2018-12-04 09:57:44 PST
Created attachment 356508 [details]
Archive of layout-test-results from webkit-cq-02
Comment 22 WebKit Commit Bot 2018-12-05 17:46:21 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 356679 [details] on bug 189533.
Bot: webkit-cq-02  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 23 WebKit Commit Bot 2018-12-05 17:46:23 PST
Created attachment 356685 [details]
Archive of layout-test-results from webkit-cq-02
Comment 24 WebKit Commit Bot 2018-12-06 14:50:56 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 356748 [details] on bug 192409.
Bot: webkit-cq-02  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 25 WebKit Commit Bot 2018-12-06 14:50:57 PST
Created attachment 356756 [details]
Archive of layout-test-results from webkit-cq-02
Comment 26 WebKit Commit Bot 2018-12-18 00:15:31 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 357543 [details] on bug 191374.
Bot: webkit-cq-03  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 27 WebKit Commit Bot 2018-12-18 00:15:32 PST
Created attachment 357547 [details]
Archive of layout-test-results from webkit-cq-03
Comment 28 WebKit Commit Bot 2018-12-20 17:24:38 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 357892 [details] on bug 192952.
Bot: webkit-cq-02  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 29 WebKit Commit Bot 2018-12-20 17:24:40 PST
Created attachment 357907 [details]
Archive of layout-test-results from webkit-cq-02
Comment 30 WebKit Commit Bot 2018-12-21 15:51:47 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 357987 [details] on bug 180373.
Bot: webkit-cq-01  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 31 WebKit Commit Bot 2018-12-21 15:51:48 PST
Created attachment 357993 [details]
Archive of layout-test-results from webkit-cq-01
Comment 32 WebKit Commit Bot 2019-01-04 06:34:47 PST
Comment on attachment 355926 [details]
Patch

Clearing flags on attachment: 355926

Committed r239607: <https://trac.webkit.org/changeset/239607>
Comment 33 WebKit Commit Bot 2019-01-04 06:34:49 PST
All reviewed patches have been landed.  Closing bug.
Comment 34 Radar WebKit Bug Importer 2019-01-04 06:35:41 PST
<rdar://problem/47047434>
Comment 35 WebKit Commit Bot 2019-01-04 09:57:24 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 358323 [details] on bug 193141.
Bot: webkit-cq-03  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 36 WebKit Commit Bot 2019-01-04 09:57:26 PST
Created attachment 358326 [details]
Archive of layout-test-results from webkit-cq-03
Comment 37 WebKit Commit Bot 2019-01-04 15:33:16 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 358374 [details] on bug 174980.
Bot: webkit-cq-01  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 38 WebKit Commit Bot 2019-01-04 15:33:17 PST
Created attachment 358384 [details]
Archive of layout-test-results from webkit-cq-01
Comment 39 WebKit Commit Bot 2019-01-04 15:41:42 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 358376 [details] on bug 193155.
Bot: webkit-cq-03  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 40 WebKit Commit Bot 2019-01-04 15:41:43 PST
Created attachment 358388 [details]
Archive of layout-test-results from webkit-cq-03
Comment 41 WebKit Commit Bot 2019-01-04 16:00:45 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 358374 [details] on bug 174980.
Bot: webkit-cq-01  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 42 WebKit Commit Bot 2019-01-04 16:00:47 PST
Created attachment 358389 [details]
Archive of layout-test-results from webkit-cq-01
Comment 43 Ryan Haddad 2019-01-04 16:17:18 PST
Well, it looks like this test is still frequently failing on EWS bots after https://trac.webkit.org/changeset/239607
Comment 44 WebKit Commit Bot 2019-01-04 18:29:25 PST
The commit-queue just saw http/wpt/css/css-animations/start-animation-001.html flake (image diff) while processing attachment 358405 [details] on bug 193140.
Bot: webkit-cq-01  Port: <class 'webkitpy.common.config.ports.MacPort'>  Platform: Mac OS X 10.12.6
Comment 45 WebKit Commit Bot 2019-01-04 18:29:26 PST
Created attachment 358414 [details]
Archive of layout-test-results from webkit-cq-01
Comment 46 Frédéric Wang (:fredw) 2019-01-05 03:25:05 PST
(In reply to Ryan Haddad from comment #43)
> Well, it looks like this test is still frequently failing on EWS bots after
> https://trac.webkit.org/changeset/239607

Yes, it looks even worse now so probably we should revert this.